Bug 808529 - org.jboss.soa.esb.listeners.gateway.SqlTableGatewayListener class needs to log DEBUG statements
org.jboss.soa.esb.listeners.gateway.SqlTableGatewayListener class needs to lo...
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.3.0 GA
All All
medium Severity medium
: ER4
: 5.3.0 GA
Assigned To: Kevin Conner
Jiri Pechanec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 11:48 EDT by Taneem Ibrahim
Modified: 2015-03-12 07:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3803 Minor Closed org.jboss.soa.esb.listeners.gateway.SqlTableGatewayListener class needs to log DEBUG statements 2013-10-28 05:56:06 EDT

  None (edit)
Description Taneem Ibrahim 2012-03-30 11:48:16 EDT
Description of problem:

SqlTableGatewayListener class in general has virtually not enough debug statements for trouble shooting when a problem arises. Recently we ran into an issue with the SQL that was built by SqlTableGatewayListener. Since there was no debug logging on the sql that got built, we had to use byteman scripts to figure out the SQL. 

The following three methods should at least log the SQL that it built before returning from the method.

protected String scanStatement();
protected String updateStatement();
protected String deleteStatement();

Version-Release number of selected component (if applicable):
JBossESB 4.10

How reproducible:
Does not apply.

Steps to Reproduce:
Does not apply.
Comment 1 Rick Wagner 2012-03-30 11:51:45 EDT
GSS prioritizes this 'medium'.  This should be a very fast / low risk change, it would be nice to have it in SOA-P 5.3 if possible.
Comment 2 JBoss JIRA Server 2012-05-30 15:26:13 EDT
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3803 to Resolved
Comment 3 JBoss JIRA Server 2012-05-30 15:26:30 EDT
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3803 to Closed
Comment 4 JBoss JIRA Server 2012-05-30 15:26:30 EDT
Tom Cunningham <tcunning@redhat.com> made a comment on jira JBESB-3803

Added debug statements to scan/update/deleteStatement.
Comment 5 Suz 2012-06-12 22:55:57 EDT
I have set the technical note field to negative as this appears to have been detected and fixed in the same version, so users will not have seen it.
Comment 6 Jiri Pechanec 2012-06-27 03:39:05 EDT
Verified in ER4

Note You need to log in before you can comment on or make changes to this bug.